%define	name	ufo
%define	version	0.10
%define	release	2mdk
%define	Summary	UFO: Alien Invasion

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ufo.myexp.de/
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	MesaGLU-devel XFree86-devel libvorbis-devel jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.

ps: you need to have the ufo-data package installed,
available from plf: http://plf.zarb.org

%prep
%setup -q -n source

%build
cd linux
%make build_release RELEASE_CFLAGS="-Dstricmp=strcasecmp $RPM_OPT_FLAGS -O3 -ffast-math -funroll-loops -fexpensive-optimizations" build_release

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
%{__cp} linux/release*/*.so $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/
install -m755 linux/release*/ufo -D $RPM_BUILD_ROOT%{_gamesbindir}/ufo.bin

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
if [ ! -d ~/.%{name} ]; then
	mkdir -p ~/.%{name}/base/save
	ln -s %{_gamesdatadir}/%{name}/base/{maps,models,music,pics,sound,textures,ufos} ~/.%{name}/base/
	ln -s %{_prefix}/lib/%{name}/ref*.so ~/.%{name}/
	ln -s %{_prefix}/lib/%{name}/game*.so ~/.%{name}/base/
	cp %{_gamesdatadir}/%{name}/base/*.cfg ~/.%{name}/base/
fi
cd ~/.%{name}
soundwrapper %{_gamesbindir}/%{name}.bin $@
EOF
chmod +x $RPM_BUILD_ROOT%{_gamesbindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="UFO"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%{_prefix}/lib/%{name}
%{_gamesbindir}/%{name}*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- buildrequires

* Fri Feb 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- initial mdk release
